## org.flexdock.view
Class Titlebar

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  org.flexdock.view.Titlebar

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

    public class Titlebar

extends javax.swing.JComponent

Author:
  Christopher Butler
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` `uiClassID`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Titlebar()`
`Titlebar(javax.swing.Action[] actions)`
`Titlebar(java.lang.String title)`
`Titlebar(java.lang.String title, javax.swing.Action[] actions)`

Method Summary
`void` `addAction(javax.swing.Action action)`
`void` `addAction(java.lang.String actionName)`
`Button` `createActionButton(javax.swing.Action action)`
`void` `doLayout()`
`javax.swing.Action` `getAction(java.lang.String key)`
`javax.swing.AbstractButton` `getActionButton(java.lang.String actionName)`
`javax.swing.Action[]` `getActions()`
`protected Button` `getButton(java.lang.String key)`
`javax.swing.Icon` `getIcon()`
`protected javax.swing.Icon` `getIcon(javax.swing.Action action)`
`protected java.lang.String` `getKey(javax.swing.Action action)`
`java.lang.String` `getText()`
`java.lang.String` `getUIClassID()`
`View` `getView()`
`protected boolean` `hasAction(java.lang.String key)`
`boolean` `isActive()`
`void` `removeAction(javax.swing.Action action)`
`void` `removeAction(java.lang.String key)`
`protected void` `removeAllActions()`
`protected void` `setActions(javax.swing.Action[] actions)`
`void` `setIcon(javax.swing.Icon icon)`
`protected void` `setParentView(View view)`
`void` `setText(java.lang.String text)` Sets the text for this titlebar to `text` or empty string if text is `null`.
`void` `updateUI()`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uiClassID

    public static final java.lang.String uiClassID

See Also:
  Constant Field Values

Constructor Detail

### Titlebar

    public Titlebar()

### Titlebar

    public Titlebar(java.lang.String title)

### Titlebar

    public Titlebar(javax.swing.Action[] actions)

### Titlebar

    public Titlebar(java.lang.String title,
                    javax.swing.Action[] actions)

Method Detail

### setText

    public void setText(java.lang.String text)

  Sets the text for this titlebar to `text` or empty string if text is `null`.

  Parameters:
    `text` - the text to set.

### setActions

    protected void setActions(javax.swing.Action[] actions)

### addAction

    public void addAction(java.lang.String actionName)

### addAction

    public void addAction(javax.swing.Action action)

### getAction

    public javax.swing.Action getAction(java.lang.String key)

### getActions

    public javax.swing.Action[] getActions()

### getButton

    protected Button getButton(java.lang.String key)

### getActionButton

    public javax.swing.AbstractButton getActionButton(java.lang.String actionName)

### hasAction

    protected boolean hasAction(java.lang.String key)

### getIcon

    public javax.swing.Icon getIcon()

### getText

    public java.lang.String getText()

### removeAction

    public void removeAction(javax.swing.Action action)

### removeAction

    public void removeAction(java.lang.String key)

### removeAllActions

    protected void removeAllActions()

### getKey

    protected java.lang.String getKey(javax.swing.Action action)

### getIcon

    protected javax.swing.Icon getIcon(javax.swing.Action action)

### setIcon

    public void setIcon(javax.swing.Icon icon)

### isActive

    public boolean isActive()

### setParentView

    protected void setParentView(View view)

### createActionButton

    public Button createActionButton(javax.swing.Action action)

### doLayout

    public void doLayout()

  Overrides:
    `doLayout` in class `java.awt.Container`

### updateUI

    public void updateUI()

  Overrides:
    `updateUI` in class `javax.swing.JComponent`

### getUIClassID

    public java.lang.String getUIClassID()

  Overrides:
    `getUIClassID` in class `javax.swing.JComponent`

### getView

    public View getView()